flashプレーヤーがクラッシュします。どうやら、外部XMLや外部テキストなど外部ファイルを読み込むようなflashを表示するとクラッシュするようで、外部ファイルを読み込みしていないflashはクラッシュせず再生されます。どうすれば復旧できますでしょうか?

以下の環境で発生しています。よろしくお願いします。
flashプレーヤーのバージョンは11.0.1.152
ブラウザはfirefox7.0.1 / safari5.1 / chrome14.0.835.202
Mac OSX10.6.8
ウイルス対策ソフトはOFF

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2011/10/07 23:36:58
  • 終了:2011/10/14 23:40:03

回答(2件)

id:Cherenkov No.1

Cherenkov回答回数1502ベストアンサー獲得回数4922011/10/14 06:37:00

ポイント50pt
  • クラッシュするサイトを提示して他の環境でも再現するか聞いてみる。
  • flash playerの最新版を入れてみる。(11.0.1.152は現時点で最新版ですね) Adobe - Flash Player
  • Mac本体のアップデートを確認する。
  • flash playerを一度アンインストールする。

その際「残っている Flash Player の情報を削除」も合わせて行ったほうがいいと思います。

Flash Player レスキュー! - インストールができない(Macintosh)

Adobe - Adobe Web Player

id:kanigasuki

ありがとうございます。

全て試してみましたが解決には至りませんでした。

2011/10/20 18:07:53
id:nikodesu No.2

ニコ回答回数1025ベストアンサー獲得回数392011/10/14 21:14:04

ポイント50pt

こちらを参考にしてください。

http://support.mozilla.com/ja/kb/Mac%20%E3%81%A7%20Flash%20%E3%83%97%E3%83%A9%E3%82%B0%E3%82%A4%E3%83%B3%E3%82%92%E4%BD%BF%E7%94%A8%E3%81%97%E3%81%9F%E3%83%9A%E3%83%BC%E3%82%B8%E3%82%92%E8%A6%8B%E3%82%8B%E3%81%A8%E3%82%AF%E3%83%A9%E3%83%83%E3%82%B7%E3%83%A5%E3%81%99%E3%82%8B

Mac OS X 上の Flash のいくつかのバージョンは、Flash プラグインを使用したページを見ると Firefox をクラッシュさせる原因になることがあります。Adobe は、この問題を修正した新しいバージョンの Flash をリリースしています。

Adobe の Flash ダウンロードページ へアクセスし、指示に従って Flash Player の最新バージョンをダウンロードしてください。

DMG ファイルを実行してディスクイメージをマウントします。

インストーラを実行するには、Finder で Flash Player のディスクイメージを選択し、Adobe Flash Player.pkg を実行します。

Flash Player のインストール後、Firefox を再起動します。

Flash Player プラグインについての詳細な情報については、Flash プラグイン利用ガイド の記事を参照してください。 Firefox のクラッシュについてのヘルプは、Firefox がクラッシュする の記事を参照してください。

このページの貢献者: marsf

  • id:narihiko
    私も同時期に同様の症状が起こりました。
    原因はインストールしているフォントの破損でした。

    同様の症状の場合は、破損フォントを探し取り除けば通常通りflashが使えるようになります。

    ちなみに私の環境下は以下の通りです。
    flashプレーヤーのバージョンは11.0.1.152
    ブラウザはfirefox7.0.1 / safari5.1 / chrome14.0.835.202
    Mac OSX10.7.2
    ウイルス対策ソフトはOFF

    以下にも載ってました。
    http://www.adobe.com/jp/support/flash/ts/documents/fl0259.html
  • id:kanigasuki
    narihiko様
    ありがとうございます。
    とりあえず現在はflashプレーヤーの過去のバージョンをインストールして使用しています。
    http://kb2.adobe.com/jp/cps/228/228683.html
    今後バージョンアップは必須になってくるのでおりをみて試してみます。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません